<?php
include_once('inclfiles/core.php');

// Если гость
if(!$user){
	$notitle = true;
	$description = $set['site_name'].' - это мобильная онлайн стратегия, симулятор управления государством. Создай и развивай свое государство, развязывай войны и заключай союзы!';
	$keywords = 'Онлайн игра, стратегия онлайн, играть бесплатно, цивилизация, wap онлайн игра';
	$title = 'Онлайн игра "'.$set['site_name'].'"';
	include_once('inclfiles/head.php');
	$onusers = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `time_last` > ".(time() - $set['timeon']*60).""));
	$users = mysql_num_rows(mysql_query("SELECT * FROM `users`"));
    if($set['images'] == 'on') c('<img src="/images/style/picture.jpg" style="width:98%;" alt="">');
    c('<b>С нами уже '.chislo($users,'великий правитель',' великих правителя','великих правителей').'! Присоединяйся!</b>');
	t($set['site_name'].' - это мобильная онлайн стратегия, симулятор управления государством. Создай и развивай свое государство, развязывай войны и заключай союзы!');
	a('/reg.php?','Взойти на престол','korona');
	a('/auth.php?','Продолжить правление','continue');
	//a('/statistic.php?','Статистика игры','statistic');
    //t('Сейчас в игре '.chislo($onusers,'правитель','правителя','правителей'));
	include_once('inclfiles/foot.php');
}

// Если нет государства
if($user['country'] == 0){
    $title = 'Создание государства';
	if($_POST['ok'] != null){
		$name = filter($_POST['name']);
		if($name == null) $err[] = 'Не введено название нового государства';
		else if(strlen2($name) > 10 OR strlen2($name) < 4) $err[] = 'Название нового государства должно быть не короче 4 и не длиннее 10 символов';
		else if(mysql_num_rows(mysql_query("SELECT * FROM `countries` WHERE `name` = '".$name."' LIMIT 1")) != 0) $err[] = 'Государство с теким названием уже зарегистрировано';
		if (!isset($err)){
			$mountains = rand(500,600);
			$forest = rand(250,350);
			mysql_query("INSERT INTO `countries` SET `name` = '".$name."', `user` = '".$user['id']."',`flag` = ".rand(1,243)." ,`money` = '".$set['money']."',`oil` = '".$set['oil']."',`territory_free` = '".($set['territory'] - $mountains - $forest)."',`territory` = '".$set['territory']."',`academics` = '".$set['academics']."',`academics_free` = '".$set['academics']."',`peoples` = '".$set['peoples']."',`peoples_free` = '".$set['peoples']."',`forest` = '".$forest."',`mountains` = '".$mountains."',`grain` = '".$set['grain']."',`iron` = '".$set['iron']."',`wood` = '".$set['wood']."',`stone` = '".$set['stone']."', `time_create` = ".time()."");
            $country = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `user`=".$user['id']." AND `zahvatil` = 0"));
           // mysql_query("INSERT INTO `countries` SET `name` = '".$name."', `user` = '".$user['id']."',`flag` = ".rand(1,243)." ,`money` = '".$set['money']."',`oil` = '".$set['oil']."',`territory_free` = '".($set['territory'] - $mountains - $forest)."',`territory` = '".$set['territory']."',`academics` = '".$set['academics']."',`academics_free` = '".$set['academics']."',`peoples` = '".$set['peoples']."',`peoples_free` = '".$set['peoples']."',`forest` = '".$forest."',`mountains` = '".$mountains."',`grain` = '".$set['grain']."',`iron` = '".$set['iron']."',`wood` = '".$set['wood']."',`stone` = '".$set['stone']."', `time_create` = ".time()."");
            mysql_query("UPDATE `users` SET `country`=".$country['id']." WHERE `id` = '".$user['id']."'");
            mysql_query("INSERT INTO `journal` SET `country` = ".$country['id'].", `type` = 6, `num1` = ".$country['id'].", `time` = ".time()."");
            mysql_query("INSERT INTO `voiska` SET `country` = ".$country['id']."");
            $user['country'] = $country['id'];
            include_once('inclfiles/head.php');
            t('Государство "'.$name.'" успешно создано');
            a('/index.php?','Управление государством','mygos');
            include_once('inclfiles/foot.php');
		}
	}
	include_once('inclfiles/head.php');
	err();
    t('У Вас нет государства');
    echo '<form action="/index.php?'.$gets.'" method="POST">';
	c('Название нового государства:<br/><span class="message"><input type="text" name="name" maxlength="10" value="'.$name.'"/><input name="ok" type="submit" value="Создать" /></span>');
	echo '</form>';
    a('/user.php?','Мой профиль','profile');
	if($user['level'] >= 2) a('/adm_panel/?','Панель управления','control_panel');
	include_once('inclfiles/foot.php');
}



$title = $country['name'];
include_once('inclfiles/head.php');
$lastnew = mysql_fetch_array(mysql_query("SELECT * FROM `news` ORDER BY `time` DESC LIMIT 1"));
if($user['lastnew']) a('/info/news.php?id='.$lastnew['id'].'&',time_right($lastnew['time']).'Последняя новость: '.$lastnew['name'],'none');

if(time() - $country['time_create'] < $set['startmarat']) t('На Ваше государство действует начальная неприкосновенность<br/>Осталось: '.period($set['startmarat'] - (time() - $country['time_create'])).'');


$all = mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id'].""));
if($all != 0){
	$buildings = mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." ORDER BY `type` ASC");
	while($building = mysql_fetch_array($buildings)){

    	$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type`= ".$building['type']." AND `level` = ".$building['level'].""));
		$building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$building['type'].""));

		if($building['status'] == 'built'){
			$task_building =  mysql_fetch_array(mysql_query("SELECT * FROM `tasks` WHERE `work`= 1 AND `work_type` = ".$building['type']." AND `country` = ".$country['id'].""));
			$procents = floor(((time() - $task_building['time_start']) / ($task_building['time_end'] - $task_building['time_start'])) * 100);
            $link = '/tasks/index.php?id='.$task_building['id'];
            $image = '/images/buildings/stroyka.JPG';
            $text = $building_all['name'].' ['.$procents.'%]<br/><small>Осталось: '.period($task_building['time_end'] - time()).'</small>';

		}
		if($building['status'] == 'builted'){
			$link = '/buildings.php?id='.$building['type'];
			$image = '/images/buildings/'.$building_all['id'].'.jpg';
			$text = $building_all['name'];
			if($building['zdorov'] < 100) $text .= ' ['.round($building['zdorov']).'%]';
			$text .= '<br/><small>'.$building_type['name'].'</small>';
		}
		if($building['status'] == 'destroyed'){
			$link = '/tasks/built.php?id='.$building['type'];
			$image = '/images/buildings/destroyed.jpg';
			$text = $building_all['name'].'<br/><small>Сооружение полностью разрушено</small>';
		}

  		if($set['images'] == 'on') echo '<a class="building_link" href="'.$link.'&'.$gets.'"><table><tr><td class="building_left"><center><img src="'.$image.'" alt=""></center></td><td class="building_right">'.$text.'</td></tr></table></a>';
        else a($link.'&',$text,'none');
	}
}

$built = mysql_num_rows(mysql_query("SELECT * FROM `buildings_all` WHERE `level` = 1 AND `type` NOT IN (SELECT `type` FROM `buildings` WHERE `country`= ".$country['id'].")"));
if($built != 0) a('/tasks/built.php?','Построить сооружение','built');
a('/tasks/?','Выполняющиеся задачи','tasks',mysql_num_rows(mysql_query("SELECT * FROM `tasks` WHERE `country` = ".$country['id']."")));
a('/country.php?','Мое государство','flags/'.$country['flag']);
a('/user.php?','Мой профиль','profile');
if($user['level'] >= 2) a('/adm_panel/?','Панель управления','control_panel');
include_once('inclfiles/foot.php');
?>